Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1496543 - Review Request: ghc-http-conduit - HTTP client package with conduit interface and HTTPS support
Summary: Review Request: ghc-http-conduit - HTTP client package with conduit interface...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1256091 (view as bug list)
Depends On: 1485507 1485762 1487893 1487894 1487898 1487900 1488606 1488611 1489306 1493789 1494336 1494676 1494879 1494886 1495018 1495476 1496285
Blocks: 1096609 1176888 1513301
TreeView+ depends on / blocked
 
Reported: 2017-09-27 17:35 UTC by Elliott Sales de Andrade
Modified: 2018-02-26 06:58 UTC (History)
4 users (show)

Fixed In Version: ghc-http-conduit-2.2.3.2-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-26 06:58:42 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2017-09-27 17:35:38 UTC
Spec URL: http://qulogic.fedorapeople.org//ghc-http-conduit.spec
SRPM URL: http://qulogic.fedorapeople.org//ghc-http-conduit-2.2.3.2-1.git.0.b4bf0cd.fc26.src.rpm

Description:
This package uses conduit for parsing the actual contents of the HTTP
connection. It also provides higher-level functions which allow you to avoid
directly dealing with streaming data. See
<http://www.yesodweb.com/book/http-conduit> for more information.

The 'Network.HTTP.Conduit.Browser' module has been moved to
<http://hackage.haskell.org/package/http-conduit-browser/>.

Comment 1 Elliott Sales de Andrade 2017-09-27 17:35:44 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=22104541

Comment 2 Elliott Sales de Andrade 2017-09-27 17:59:38 UTC
*** Bug 1256091 has been marked as a duplicate of this bug. ***

Comment 3 Robert-André Mauchin 2017-09-28 11:05:01 UTC
Package accepted.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 13 files have unknown
     license. Detailed output of licensecheck in /home/bob/packaging/review
     /ghc-http-conduit/review-ghc-http-conduit/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 491520 bytes in 40 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-http-conduit-2.2.3.2-1.fc28.x86_64.rpm
          ghc-http-conduit-devel-2.2.3.2-1.fc28.x86_64.rpm
          ghc-http-conduit-2.2.3.2-1.fc28.src.rpm
ghc-http-conduit.x86_64: W: spelling-error %description -l en_US www -> WWW, wow
ghc-http-conduit.x86_64: W: spelling-error %description -l en_US yesodweb -> eyesore
ghc-http-conduit.x86_64: W: spelling-error %description -l en_US hackage -> package, hack age, hack-age
ghc-http-conduit.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
ghc-http-conduit.x86_64: W: no-documentation
ghc-http-conduit.src: W: spelling-error %description -l en_US www -> WWW, wow
ghc-http-conduit.src: W: spelling-error %description -l en_US yesodweb -> eyesore
ghc-http-conduit.src: W: spelling-error %description -l en_US hackage -> package, hack age, hack-age
ghc-http-conduit.src: W: spelling-error %description -l en_US haskell -> Haskell
3 packages and 0 specfiles checked; 0 errors, 9 warnings.

Comment 4 Gwyn Ciesla 2017-09-28 17:16:01 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-http-conduit

Comment 5 Fedora Update System 2017-10-04 09:22:14 UTC
ghc-http-conduit-2.2.3.2-1.fc27 ghc-http-client-tls-0.3.5.1-1.fc27 ghc-connection-0.2.8-1.fc27 ghc-tls-1.4.0-1.fc27 ghc-x509-validation-1.6.9-1.fc27 ghc-x509-system-1.6.6-1.fc27 ghc-x509-store-1.6.5-1.fc27 ghc-x509-1.7.2-1.fc27 ghc-asn1-parse-0.9.4-3.fc27 ghc-persistent-template-2.5.2-2.fc27 ghc-persistent-sqlite-2.6.2-5.fc27 ghc-free-4.12.4-5.fc27 ghc-esqueleto-2.5.3-2.fc27 ghc-asn1-encoding-0.9.5-1.fc27 ghc-semigroupoids-5.2.1-2.fc27 ghc-profunctors-5.2.1-3.fc27 ghc-persistent-2.7.0-3.fc27 ghc-asn1-types-0.3.2-3.fc27 ghc-bifunctors-5.4.2-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8255647a5f

Comment 6 Fedora Update System 2017-10-06 04:27:29 UTC
ghc-asn1-encoding-0.9.5-1.fc27, ghc-asn1-parse-0.9.4-3.fc27, ghc-asn1-types-0.3.2-3.fc27, ghc-bifunctors-5.4.2-2.fc27, ghc-connection-0.2.8-1.fc27, ghc-esqueleto-2.5.3-2.fc27, ghc-free-4.12.4-5.fc27, ghc-http-client-tls-0.3.5.1-1.fc27, ghc-http-conduit-2.2.3.2-1.fc27, ghc-persistent-2.7.0-3.fc27, ghc-persistent-sqlite-2.6.2-5.fc27, ghc-persistent-template-2.5.2-2.fc27, ghc-profunctors-5.2.1-3.fc27, ghc-semigroupoids-5.2.1-2.fc27, ghc-tls-1.4.0-1.fc27, ghc-x509-1.7.2-1.fc27, ghc-x509-store-1.6.5-1.fc27, ghc-x509-system-1.6.6-1.fc27, ghc-x509-validation-1.6.9-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8255647a5f

Comment 7 Fedora Update System 2017-10-24 02:15:24 UTC
ghc-asn1-encoding-0.9.5-1.fc27 ghc-asn1-parse-0.9.4-3.fc27 ghc-asn1-types-0.3.2-3.fc27 ghc-bifunctors-5.4.2-2.fc27 ghc-connection-0.2.8-1.fc27 ghc-esqueleto-2.5.3-3.fc27 ghc-free-4.12.4-5.fc27 ghc-http-api-data-0.3.7.1-3.fc27 ghc-http-client-tls-0.3.5.1-1.fc27 ghc-http-conduit-2.2.3.2-1.fc27 ghc-persistent-2.7.0-4.fc27 ghc-persistent-sqlite-2.6.2-6.fc27 ghc-persistent-template-2.5.3-1.fc27 ghc-profunctors-5.2.1-3.fc27 ghc-semigroupoids-5.2.1-2.fc27 ghc-tls-1.4.0-1.fc27 ghc-uri-bytestring-0.3.0.1-1.fc27 ghc-x509-1.7.2-1.fc27 ghc-x509-store-1.6.5-1.fc27 ghc-x509-system-1.6.6-1.fc27 ghc-x509-validation-1.6.9-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8255647a5f

Comment 8 Fedora Update System 2017-10-25 15:22:21 UTC
ghc-asn1-encoding-0.9.5-1.fc27, ghc-asn1-parse-0.9.4-3.fc27, ghc-asn1-types-0.3.2-3.fc27, ghc-bifunctors-5.4.2-2.fc27, ghc-connection-0.2.8-1.fc27, ghc-esqueleto-2.5.3-3.fc27, ghc-free-4.12.4-5.fc27, ghc-http-api-data-0.3.7.1-3.fc27, ghc-http-client-tls-0.3.5.1-1.fc27, ghc-http-conduit-2.2.3.2-1.fc27, ghc-persistent-2.7.0-4.fc27, ghc-persistent-sqlite-2.6.2-6.fc27, ghc-persistent-template-2.5.3-1.fc27, ghc-profunctors-5.2.1-3.fc27, ghc-semigroupoids-5.2.1-2.fc27, ghc-tls-1.4.0-1.fc27, ghc-uri-bytestring-0.3.0.1-1.fc27, ghc-x509-1.7.2-1.fc27, ghc-x509-store-1.6.5-1.fc27, ghc-x509-system-1.6.6-1.fc27, ghc-x509-validation-1.6.9-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8255647a5f

Comment 9 Fedora Update System 2017-11-07 06:37:16 UTC
ghc-asn1-encoding-0.9.5-1.fc27 ghc-asn1-parse-0.9.4-3.fc27 ghc-asn1-types-0.3.2-3.fc27 ghc-bifunctors-5.4.2-2.fc27 ghc-connection-0.2.8-1.fc27 ghc-esqueleto-2.5.3-5.fc27 ghc-free-4.12.4-5.fc27 ghc-http-api-data-0.3.7.1-3.fc27 ghc-http-client-tls-0.3.5.1-1.fc27 ghc-http-conduit-2.2.3.2-1.fc27 ghc-persistent-2.7.1-1.fc27 ghc-persistent-sqlite-2.6.3-1.fc27 ghc-persistent-template-2.5.3-3.fc27 ghc-profunctors-5.2.1-3.fc27 ghc-semigroupoids-5.2.1-2.fc27 ghc-tls-1.4.0-1.fc27 ghc-uri-bytestring-0.3.0.1-1.fc27 ghc-x509-1.7.2-1.fc27 ghc-x509-store-1.6.5-1.fc27 ghc-x509-system-1.6.6-1.fc27 ghc-x509-validation-1.6.9-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8255647a5f

Comment 10 Fedora Update System 2017-11-07 19:14:10 UTC
ghc-asn1-encoding-0.9.5-1.fc27, ghc-asn1-parse-0.9.4-3.fc27, ghc-asn1-types-0.3.2-3.fc27, ghc-bifunctors-5.4.2-2.fc27, ghc-connection-0.2.8-1.fc27, ghc-esqueleto-2.5.3-6.fc27, ghc-free-4.12.4-5.fc27, ghc-http-api-data-0.3.7.1-3.fc27, ghc-http-client-tls-0.3.5.1-1.fc27, ghc-http-conduit-2.2.3.2-1.fc27, ghc-persistent-2.7.1-2.fc27, ghc-persistent-sqlite-2.6.3-2.fc27, ghc-persistent-template-2.5.3-4.fc27, ghc-profunctors-5.2.1-3.fc27, ghc-semigroupoids-5.2.1-2.fc27, ghc-tls-1.4.0-1.fc27, ghc-uri-bytestring-0.3.0.1-1.fc27, ghc-x509-1.7.2-1.fc27, ghc-x509-store-1.6.5-1.fc27, ghc-x509-system-1.6.6-1.fc27, ghc-x509-validation-1.6.9-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8255647a5f

Comment 11 Fedora Update System 2017-11-11 02:48:54 UTC
ghc-asn1-encoding-0.9.5-1.fc27, ghc-asn1-parse-0.9.4-3.fc27, ghc-asn1-types-0.3.2-3.fc27, ghc-bifunctors-5.4.2-2.fc27, ghc-connection-0.2.8-1.fc27, ghc-esqueleto-2.5.3-6.fc27, ghc-free-4.12.4-5.fc27, ghc-http-api-data-0.3.7.1-3.fc27, ghc-http-client-tls-0.3.5.1-1.fc27, ghc-http-conduit-2.2.3.2-1.fc27, ghc-persistent-2.7.1-2.fc27, ghc-persistent-sqlite-2.6.3-2.fc27, ghc-persistent-template-2.5.3-4.fc27, ghc-profunctors-5.2.1-3.fc27, ghc-semigroupoids-5.2.1-2.fc27, ghc-tls-1.4.0-1.fc27, ghc-uri-bytestring-0.3.0.1-1.fc27, ghc-x509-1.7.2-1.fc27, ghc-x509-store-1.6.5-1.fc27, ghc-x509-system-1.6.6-1.fc27, ghc-x509-validation-1.6.9-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.